<?php

namespace App\Service;

use App\Exception;

class BranchService {
    private $factory;

    public function __construct (\App\Factory\BranchFactory $factory) {
        $this->factory = $factory;
    }
    
    public function fetchBranch ($storeId) {
        return $this->factory->fetchBranch($storeId);
    }
    
    public function getBranchCityCode ($branchId) {
        return $this->factory->getBranchCityCode($branchId);
    }
    
}
